import request from '@/utils/request'

// 查询冲胚记录列表
export function listFlush(query) {
  return request({
    url: '/embryo/flush/list',
    method: 'get',
    params: query
  })
}

// 查询冲胚记录详细
export function getFlush(id) {
  return request({
    url: '/embryo/flush/' + id,
    method: 'get'
  })
}

// 新增冲胚记录
export function addFlush(data) {
  return request({
    url: '/embryo/flush',
    method: 'post',
    data: data
  })
}

// 修改冲胚记录
export function updateFlush(data) {
  return request({
    url: '/embryo/flush',
    method: 'put',
    data: data
  })
}

// 删除冲胚记录
export function delFlush(id) {
  return request({
    url: '/embryo/flush/' + id,
    method: 'delete'
  })
}

// 根据供体母羊耳号获取关联信息
export function getDonorInfo(donorFemaleNo) {
  return request({
    url: '/embryo/flush/getDonorInfo',
    method: 'get',
    params: { donorFemaleNo }
  })
}

// 获取供体母羊下拉列表
export function getDonorFemaleList() {
  return request({
    url: '/embryo/flush/donorFemaleList',
    method: 'get'
  })
}